//
//  secondViewController.m
//  RoundTable
//
//  Created by Isom,Grant on 7/25/13.
//  Copyright (c) 2013 Grant Isom. All rights reserved.
//

#import "secondViewController.h"
#import "ECSlidingViewController.h"
#import "menuViewController.h"
#import <Parse/Parse.h>

@interface secondViewController ()

@end

@implementation secondViewController

@synthesize menuBtn,tableView,tableData,cellCount,sendButton,textField,message;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
  
    
	// Do any additional setup after loading the view.
    
    self.view.layer.shadowOpacity = 0.75f;
    self.view.layer.shadowRadius = 10.0f;
    self.view.layer.shadowColor = [UIColor blackColor].CGColor;
    
    if (![self.slidingViewController.underLeftViewController isKindOfClass:[menuViewController class]]) {
        self.slidingViewController.underLeftViewController = [self.storyboard instantiateViewControllerWithIdentifier:@"Main"];
    }
    
    [self.view addGestureRecognizer:self.slidingViewController.panGesture];
    
    self.menuBtn = [UIButton buttonWithType:UIButtonTypeCustom];
    menuBtn.frame = CGRectMake(8, 10, 34, 24);
    [menuBtn setBackgroundImage:[UIImage imageNamed:@"menuButton.png"] forState:UIControlStateNormal];
    [menuBtn addTarget:self action:@selector(revealMenu:) forControlEvents:UIControlEventTouchUpInside];
    
    
    [self.view addSubview:self.menuBtn];
    
    self.tableData = [[NSMutableArray alloc] init];
    
    NSString *one = [NSString stringWithFormat:@"About Us"];
    NSString *two = [NSString stringWithFormat:@"Menu of the Week"];
    NSString *three = [NSString stringWithFormat:@"Events"];
    NSString *four = [NSString stringWithFormat:@"Photos"];
    NSString *five = [NSString stringWithFormat:@"Philanthropy"];
    NSString *six = [NSString stringWithFormat:@"Mom's Club"];
    NSString *seven = [NSString stringWithFormat:@"Pledges"];
    NSString *eight = [NSString stringWithFormat:@"Member's Portal"];
    
    [self.tableData addObject:one];
    [self.tableData addObject:two];
    [self.tableData addObject:three];
    [self.tableData addObject:four];
    [self.tableData addObject:five];
    [self.tableData addObject:six];
    [self.tableData addObject:seven];
    [self.tableData addObject:eight];

}

- (IBAction)textField:(id)sender {
    message = textField.text;
    NSLog(@"%@", message);
    PFObject *messageObject = [PFObject objectWithClassName:@"Messages"];
    [messageObject setObject:message forKey:@"Messages"];
    [messageObject save];
    
}

-(IBAction)sendButton:(id)sender {
    
}

-(IBAction)dismissKeyboardOnTap:(id)sender
{
    [[self view] endEditing:YES];
    //[makeFirstResponder:addFriends];
}



#pragma mark - UITableViewDataSource

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

-(NSInteger) tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [self.tableData count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSString *cellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:cellIdentifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:cellIdentifier];
    }
    
cell.textLabel.text = [self.tableData objectAtIndex:indexPath.row];    // Configure the cell...
    
    return cell;
}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(IBAction)revealMenu:(id)sender{
    [self.slidingViewController anchorTopViewTo:ECRight];
}


@end
